This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 548270 - [abrt] crash detected in firefox-3.5.5-1.fc12 @[totem]
[abrt] crash detected in firefox-3.5.5-1.fc12 @[totem]
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: totem (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:034ada58fe95cb4ebc19eda2fd0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-16 22:00 EST by Jeff Walden (remove +brc to email)
Modified: 2010-12-03 20:33 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 20:33:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (75.71 KB, text/plain)
2009-12-16 22:00 EST, Jeff Walden (remove +brc to email)
no flags Details

  None (edit)
Description Jeff Walden (remove +brc to email) 2009-12-16 22:00:19 EST
abrt 1.0.0 detected a crash.

Comment: Starting up the browser, but because I have 226 tabs open in it, actual cause could be about anything...
Attached file: backtrace
cmdline: /usr/lib64/firefox-3.5.5/firefox
component: firefox
executable: /usr/lib64/firefox-3.5.5/firefox
kernel: 2.6.31.6-166.fc12.x86_64
package: firefox-3.5.5-1.fc12
rating: 4
reason: Process was terminated by signal 6
Comment 1 Jeff Walden (remove +brc to email) 2009-12-16 22:00:23 EST
Created attachment 378883 [details]
File: backtrace
Comment 2 Chris Campbell 2009-12-17 09:32:53 EST
#2  <signal handler called>
No symbol table info available.
#3  0x000000364b6326b5 in raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
        resultvar = 0
        pid = <value optimized out>
        selftid = <value optimized out>
#4  0x000000364b633e95 in abort () at abort.c:92
        save_stage = 2
        act = {__sigaction_handler = {sa_handler = 
    0x7f090a4cd952 <_ZN13totemNPObject13DoubleVariantEP10_NPVariantd+28874>, 
            sa_sigaction = 
    0x7f090a4cd952 <_ZN13totemNPObject13DoubleVariantEP10_NPVariantd+28874>}, 
          sa_mask = {__val = {233194111920, 140735362455760, 1296, 
    140735362456000, 233193229142, 206158430232, 140735362456016, 
    140735362455792, 233193138984, 206158430256, 140735362456040, 
    139676473572192, 16, 139677400150080, 4321, 140735362483888}}, sa_flags = 
    1265872141, sa_restorer = 
    0x7f090a4cd75a <_ZN13totemNPObject13DoubleVariantEP10_NPVariantd+28370>}
        sigs = {__val = {32, 0 <repeats 15 times>}}
#5  0x000000364b62b7a5 in __assert_fail (assertion=
    0x7f090a4cd952 "!plugin->mExpectingStream", file=<value optimized out>, 
    line=1296, function=<value optimized out>) at assert.c:81
        buf = 
    0x7f08f6973b60 "firefox: totemPlugin.cpp:1296: static void totemPlugin::ViewerOpenStreamCallback(DBusGProxy*, DBusGProxyCall*, void*): Assertion `!plugin->mExpectingStream' failed.\n"
#6  0x00007f090a4ca2cc in totemPlugin::ViewerOpenStreamCallback(_DBusGProxy*, _DBusGProxyCall*, void*) ()
   from /usr/lib64/mozilla/plugins/libtotem-narrowspace-plugin.so
No symbol table info available.
#7  0x000000365120e50a in complete_pending_call_and_unlock (connection=
    0x7f0920d0a700, pending=0x7f08f17fdab0, message=<value optimized out>)
    at dbus-connection.c:2227
No locals.


-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Jeff Walden (remove +brc to email) 2009-12-17 11:40:31 EST
(Not that it really needs confirming, but yum removing totem-mozplugin fixes the crash for me.  Too bad I didn't get prompted to install totem's debuginfo or I could have figured out the transgressor myself...)

Knowing now that it's totem's plugin at fault, this started between these sets of upgrades (maybe only the plugin matters, can't hurt to mention it):

Nov 20 00:18:25 Updated: totem-2.28.3-1.fc12.x86_64
Nov 20 00:19:12 Updated: totem-mozplugin-2.28.3-1.fc12.x86_64
...
Dec 16 20:42:45 Updated: totem-2.28.4-1.fc12.x86_64
Dec 16 20:43:14 Updated: totem-mozplugin-2.28.4-1.fc12.x86_64
Comment 4 Bug Zapper 2010-11-03 23:09:01 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-03 20:33:36 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.